Retrieve public teams
curl --request GET \
--url https://incoming.qomon.app/teams/public \
--header 'Authorization: Bearer <token>'import requests
url = "https://incoming.qomon.app/teams/public"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://incoming.qomon.app/teams/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 101,
"name": "Team Number1",
"address": {
"addition": "<string>",
"building": "<string>",
"building_type": "house",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "12",
"id": 7,
"infos": "<string>",
"latitude": "48.8606",
"location": "48.8606,2.3376",
"longitude": "2.3376",
"pollingstation": "<string>",
"postalcode": "75001",
"score": 123,
"state": "<string>",
"street": "Rue de Rivoli"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_users": true,
"leaders": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"contacts": [
{
"id": 42
}
],
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"role_data": {
"color": "#DF0D73",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"type": "superadmin",
"web": true
},
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
],
"private": true,
"updated_at": "2023-11-07T05:31:56Z",
"users": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"contacts": [
{
"id": 42
}
],
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"role_data": {
"color": "#DF0D73",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"type": "superadmin",
"web": true
},
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
]
}
]{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Teams
Retrieve public teams
Returns only the public teams the caller has access to.
GET
/
teams
/
public
Retrieve public teams
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Response
object[] | null
OK
Team ID.
Required range:
x >= 0Example:
101
Team display name.
Example:
"Team Number1"
Show child attributes
Show child attributes
Free-form description.
When true, the team's users list is hidden to non-members.
Show child attributes
Show child attributes
When true, the team is only visible to its members.
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?
⌘I

